cdac.medinfo.sdk.hl7282.hl7model.messages.observationreporting

## Class ORU_R30

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.hl7model.messages.observationreporting.ORU_R30_Common
    - - cdac.medinfo.sdk.hl7282.hl7model.messages.observationreporting.ORU_R30

-     public final class ORU_R30
      extends ORU_R30_Common

  ORU_R30 - Unsolicited Point-Of-Care Observation Message Without Existing Order - Place An Order (Event R30). This message is used to fire instructs for the receiving system to create a new order for the observation(s) contained in the message.

  Represents a ORU_R30 message structure (see chapter 7.3.4). This structure contains the following elements:

  0: MSH (Message Header Segment) SINGLE_COMPULSARY
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: UAC (User Authentication Credential) SINGLE OPTIONAL
  3: PID (Patient Identification Segment) SINGLE_COMPULSARY
  4: PD1 (Patient Additional Demographic Segment) SINGLE_OPTIONAL
  5. PRT (Participation-for patient) MULTIPLE_OPTIONAL
  6. ARV (Access Restrictions) MULTIPLE_OPTIONAL
  7: PERSON OBSERVATION (a Group in ORU_R30 message) MULTIPLE_OPTIONAL
  8: VISIT (a Group of segments in ORU_R30 message) SINGLE_OPTIONAL
  9: ORC (Common Order Segment) SINGLE_COMPULSARY
  10. PRT (Participation-for common order) MULTIPLE_OPTIONAL
  11: OBR (Observation Request Segment) SINGLE_COMPULSARY
  12: NTE (Notes and Comments Segment) MULTIPLE_OPTIONAL
  13. PRT (Participation-for observation) MULTIPLE_OPTIONAL
  14: TIMING_QTY (a Group of segments in ORU_R30 message) MULTIPLE_OPTIONAL
  15: OBSERVATION (a Group of segments in ORU_R30 message) MULTIPLE_COMPULSARY
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  Following is the step to create message
  Before that, respective Message Source and Message Recipient to be set on Message Factory.

  ORU_R30 objR30 = (ORU_R30)MessageFactory.createInstance().createSendSupportedMessage("ORU", "R30");

- - ### Method Summary

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.hl7model.messages.observationreporting.ORU_R30_Common

      `addNotesAndCommentsSegment, addNotesAndCommentsSegment, addObservationGroup, addObservationGroups, addParticipationForCommonOrderSegment, addParticipationForCommonOrderSegment, addParticipationForObservationSegment, addParticipationForObservationtSegment, addParticipationForPatientSegment, addParticipationForPatientSegment, addPatientIdentificationAccessRestrictionsSegment, addPatientIdentificationAccessRestrictionsSegment, addPatientObservationGroup, addPatientObservationGroups, addSoftwareSegment, addSoftwareSegment, addTimingQuantityGroup, addTimingQuantityGroups, getAdditinalDemographicsSegment, getCommonOrderinformationSegment, getNotesAndCommentsSegments, getObservationGroups, getObservationRequestSegment, getParticipationForCommonOrderSegments, getParticipationForObservationSegments, getParticipationForPatientSegments, getPatientIdentificationAccessRestrictionsSegments, getPatientIdentificationSegment, getPatientObservationGroups, getSoftwareSegments, getTimingQuantityGroups, getUserAuthenticationCredentialSegment, getVisitGroup, setAdditinalDemographicsSegment, setCommonOrderinformationSegment, setObservationRequestSegment, setPatientIdentificationSegment, setUserAuthenticationCredentialSegment, setVisitGroup`

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isQuery, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`